curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/clusters/3/router" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"force": true}'
{
"data": {
"id": 123,
"name": "<string>",
"tld": "<string>",
"state": "<string>",
"nodes": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
],
"router": {
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Clusters
Clear the Cluster Router
Clear the Router from an inactive Cluster.
DELETE
/
api
/
v1
/
clusters
/
{cluster}
/
router
curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/clusters/3/router" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"force": true}'
{
"data": {
"id": 123,
"name": "<string>",
"tld": "<string>",
"state": "<string>",
"nodes": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
],
"router": {
"id": 123,
"name": "<string>",
"status": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}